summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAllan McRae <allan@archlinux.org>2011-05-02 02:33:22 +0200
committerDan McGee <dan@archlinux.org>2011-05-02 17:04:36 +0200
commit8fd9037cfd8836db7dd35ba0e8825ba86c4e4688 (patch)
treef80974595cc0e45e1af762414c5787f4533af61a
parent9a127d8ed4a43009f93b7e0e2ee60dc07034801d (diff)
downloadpacman-8fd9037cfd8836db7dd35ba0e8825ba86c4e4688.tar.gz
pacman-8fd9037cfd8836db7dd35ba0e8825ba86c4e4688.tar.xz
makepkg: quote variable that may contain spaces
Prevents failures when $PKGDEST contains spaces (FS#24002) Patch-by: Sebastien Duthil Signed-off-by: Allan McRae <allan@archlinux.org> Signed-off-by: Dan McGee <dan@archlinux.org>
-rw-r--r--scripts/makepkg.sh.in2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 69922c99..70dd456a 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -1076,7 +1076,7 @@ create_package() {
*tar.bz2) bzip2 -c -f ;;
*tar.xz) xz -c -z - ;;
*tar) cat ;;
- esac > ${pkg_file} || ret=$?
+ esac > "${pkg_file}" || ret=$?
shopt -u nullglob
shopt -u -o pipefail